For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETSearch entity users
        • POSTCreate entity user
        • GETGet entity user
        • POSTUpdate entity user
        • DELDelete entity user
        • POSTGenerate JWT Token
          • GETGet All
          • GETGet
          • POSTUpdate
Logo
Sign inBook a demo
API ReferenceEntityUserNotification Policy

Get

GET
https://api.mercoa.com/entity/:entityId/user/:userId/notification-policy/:notificationType
GET
/entity/:entityId/user/:userId/notification-policy/:notificationType
$curl https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/user/user_e24fc81c-c5ee-47e8-af42-4fe29d895506/notification-policy/INVOICE_APPROVED \
> -H "Authorization: Bearer <token>"
1{
2 "disabled": true,
3 "digest": false,
4 "immediate": true,
5 "type": "INVOICE_APPROVED"
6}
Retrieve notification policy associated with this entity user
Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
userIdstringRequired
User ID or User ForeignID
notificationTypeenumRequired

Response

This endpoint returns an object.
disabledboolean
True if the selected notification type is disabled for this user
digestboolean
True if the selected notification type is sent as a digest.
immediateboolean
True if the selected notification type is sent immediately.
typeenum

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented